org.apache.hadoop.ha.proto

## Interface ZKFCProtocolProtos.ZKFCProtocolService.Interface

- All Known Implementing Classes:
    ZKFCProtocolProtos.ZKFCProtocolService.Stub
  Enclosing class:
    ZKFCProtocolProtos.ZKFCProtocolService

      public static interface ZKFCProtocolProtos.ZKFCProtocolService.Interface

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cedeActive(com.google.protobuf.RpcController controller, ZKFCProtocolProtos.CedeActiveRequestProto request, com.google.protobuf.RpcCallback<ZKFCProtocolProtos.CedeActiveResponseProto> done)` `rpc cedeActive(.hadoop.common.CedeActiveRequestProto) returns (.hadoop.common.CedeActiveResponseProto);`
    `void` | `gracefulFailover(com.google.protobuf.RpcController controller, ZKFCProtocolProtos.GracefulFailoverRequestProto request, com.google.protobuf.RpcCallback<ZKFCProtocolProtos.GracefulFailoverResponseProto> done)` `rpc gracefulFailover(.hadoop.common.GracefulFailoverRequestProto) returns (.hadoop.common.GracefulFailoverResponseProto);`

- - ### Method Detail

    - #### cedeActive

          void cedeActive(com.google.protobuf.RpcController controller,
                          ZKFCProtocolProtos.CedeActiveRequestProto request,
                          com.google.protobuf.RpcCallback<ZKFCProtocolProtos.CedeActiveResponseProto> done)

      `rpc cedeActive(.hadoop.common.CedeActiveRequestProto) returns (.hadoop.common.CedeActiveResponseProto);`

           Request that the service cede its active state, and quit the election
           for some amount of time

    - #### gracefulFailover

          void gracefulFailover(com.google.protobuf.RpcController controller,
                                ZKFCProtocolProtos.GracefulFailoverRequestProto request,
                                com.google.protobuf.RpcCallback<ZKFCProtocolProtos.GracefulFailoverResponseProto> done)

      `rpc gracefulFailover(.hadoop.common.GracefulFailoverRequestProto) returns (.hadoop.common.GracefulFailoverResponseProto);`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.